# pancakecounter

Use `MM_USERNAME=username MM_PASSWORD=password ./read_mattermost.py --live > verifications.log` to connect to Mattermost and read the relevant emoji events.
Drop the `--live` if you just want to read once and don't want to keep watching.

Use `./table.py < verifications` to create a table based on these events.

As an alternative to `MM_USERNAME=username MM_PASSWORD=password` you can also use `MM_TOKEN=token`.

## Installation
Install the requirements in `requirements.txt` with `pip install -r requirements.txt`.

If you want to create a virtualenv in this directory and install the dependencies in it, you could
instead use
```
tools/create_venv.sh
```

Activate the virtualenv with `source venv/bin/activate`. To make this easier, you could create
an [alias][] `alias venv='source venv/bin/activate'` in your shell.

[alias]: https://www.computerworld.com/article/2598087/how-to-use-aliases-in-linux-shell-commands.html

## Development
If you introduce dependencies, list them in `setup.py` under `install_requires`, and run
`tools/update_requirements.sh`.
